Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins.announce
[Groovy] Class AnnouncePluginExtension

    java.lang.Object
      org.gradle.api.plugins.announce.AnnouncePluginExtension

    class AnnouncePluginExtension

Property Summary
`AnnouncerFactory` | `announcerFactory`
`Announcer` | `local`
`String` | `password` The password to use for announcements.
`String` | `username` The username to use for announcements.

Constructor Summary
`AnnouncePluginExtension(ProjectInternal project)`

Method Summary
`void` | `announce(String msg, String type)` Sends an announcement of the given type.
`Announcer` | `getLocal()` Returns an Announcer that sends announcements to the local desktop, if a notification mechanism is available.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### announcerFactory

    AnnouncerFactory announcerFactory

### local

    Announcer local

### password

    String password

  The password to use for announcements.

### username

    String username

  The username to use for announcements.

Constructor Detail

### AnnouncePluginExtension

    AnnouncePluginExtension(ProjectInternal project)

Method Detail

### announce

    void announce(String msg, String type)

  Sends an announcement of the given type.
  Parameters:
    `msg` - The content of the announcement
    `type` - The announcement type.

### getLocal

    Announcer getLocal()

  Returns an Announcer that sends announcements to the local desktop, if a notification mechanism is available.
  Returns:
    The announcer.

Gradle API 1.1-rc-1